CREATE TABLE atc_usage_spec_char_values (
    CHAR_VALUE_ID            NUMBER(18, 0) ,
    DEFAULT_FLAG             VARCHAR2(4)       NOT NULL,
    RANGE_INTERVAL           VARCHAR2(800) ,
    UNIT_OF_MEASURE          VARCHAR2(800) ,
    REGEX                    VARCHAR2(800) ,
    VALUE_FROM               VARCHAR2(800) ,
    VALUE_TO                 VARCHAR2(800) ,
    VALUE_TYPE_CODE          VARCHAR2(800) ,
    VALUE                    CLOB          ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    ENTITY_NAME              VARCHAR2(400)     NOT NULL,
    ENTITY_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CHAR_VALUE_ID            NUMBER(18, 0) ,
    DEFAULT_FLAG             VARCHAR2(4)       NOT NULL,
    RANGE_INTERVAL           VARCHAR2(800) ,
    UNIT_OF_MEASURE          VARCHAR2(800) ,
    REGEX                    VARCHAR2(800) ,
    VALUE_FROM               VARCHAR2(800) ,
    VALUE_TO                 VARCHAR2(800) ,
    VALUE_TYPE_CODE          VARCHAR2(800) ,
    VALUE                    CLOB          ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    ENTITY_NAME              VARCHAR2(400)     NOT NULL,
    ENTITY_ID                NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atc_usage_spec_char_values PRIMARY KEY (CHAR_VALUE_ID, CHAR_VALUE_ID)
);
